Name:           c-icap-modules
Version:        0.3.1
Release:        5%{?dist}
Summary:        Modules for c-icap.

Group:          Development/Libraries
License:        GPLv2
URL:            http://c-icap.sourceforge.net/
Source0:        http://sourceforge.net/projects/c-icap/files/c-icap-modules/0.3.x/c_icap_modules-%{version}.tar.gz
Source1:        %{name}-%{version}-ja.tar.xz
Source2:        %{name}-createSG.sh
Patch0:         %{name}-%{version}-clamav-0.98.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%if 0%{?fedora}
BuildRequires:  libdb-devel
%endif
%if 0%{?rhel}
BuildRequires:  db4-devel
%endif
BuildRequires:  zlib-devel
BuildRequires:  c-icap-devel
BuildRequires:  clamav-devel
BuildRequires:  gdbm-devel
Requires:       c-icap

%description
%{summary}.

%prep
%setup -q -n c_icap_modules-%{version}
%patch0 -p1

%build
%configure \
	--enable-shared \
	--with-c-icap \
	--with-zlib \
	--with-clamav \
	--with-bdb

make %{?_smp_mflags}

xz -dc %{SOURCE1} | tar -xf -
install -D -m755 %{SOURCE2} contrib/create-sguard-DB-wrapper.sh

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_sysconfdir}/c-icap
make install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -name '*.la' | xargs rm

pushd %{name}-%{version}-ja
cp -rp srv_url_check/ja $RPM_BUILD_ROOT%{_datadir}/c_icap/templates/srv_url_check/
cp -rp virus_scan/ja $RPM_BUILD_ROOT%{_datadir}/c_icap/templates/virus_scan/

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README contrib/
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/c-icap/*.conf
%attr(0644,root,root) %config %{_sysconfdir}/c-icap/*.default
%{_bindir}/c-icap-mods-sguardDB
%{_libdir}/c_icap/*
%{_datadir}/c_icap/templates/*
%{_mandir}/man8/*.8.gz

%changelog
* Wed Nov 20 2013 momo-i <webmaster@momo-i.org> - 0.3.1-5
- Fixed do not work clamd_mod on clamav 0.98

* Tue Nov 19 2013 momo-i <webmaster@momo-i.org> - 0.3.1-4
- Add contrib

* Mon Nov 18 2013 momo-i <webmaster@momo-i.org> - 0.3.1-3
- Add japanese translation?

* Mon Nov 18 2013 momo-i <webmaster@momo-i.org> - 0.3.1-2
- fixed config permissions.

* Thu Nov 14 2013 momo-i <webmaster@momo-i.org> - 0.3.1-1
- Update to 0.3.1

* Wed Oct  9 2013 momo-i <webmaster@momo-i.org> - 0.2.5-1
- Initial rpm release.
